<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: rpmsg_lite_zc_transport.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('rpmsg__lite__zc__transport_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">rpmsg_lite_zc_transport.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="rpmsg__lite__zc__transport_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2015-2016, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__RPMSG_LITE_ZC_TRANSPORT_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__RPMSG_LITE_ZC_TRANSPORT_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;erpc_config_internal.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="message__buffer_8h.html">message_buffer.h</a>&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;rpmsg_lite.h&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="rpmsg__lite__zc__base__transport_8h.html">rpmsg_lite_zc_base_transport.h</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="static__queue_8h.html">static_queue.h</a>&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">// Definitions</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpc.html">erpc</a> {</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html">   61</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html">RPMsgZCTransport</a> : <span class="keyword">public</span> <a class="code" href="classerpc_1_1_r_p_msg_z_c_base_transport.html">RPMsgZCBaseTransport</a></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#aa9b22f6256d8efbe9008b40421279b9d">RPMsgZCTransport</a>();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#abba352436bfdd1386e710c5a04267e8c">~RPMsgZCTransport</a>();</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a473d38804d119e790af5f486ce3c1934">init</a>(</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> src_addr, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> dst_addr, <span class="keywordtype">void</span> *base_address, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> length, <span class="keywordtype">int</span> rpmsg_link_id);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a473d38804d119e790af5f486ce3c1934">init</a>(</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> src_addr, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> dst_addr, <span class="keywordtype">void</span> *base_address, <span class="keywordtype">int</span> rpmsg_link_id, <span class="keywordtype">void</span> (*ready_cb)(<span class="keywordtype">void</span>));</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a6b546b63b1ebca13292073a19028d582">receive</a>(<a class="code" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *message);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a56b5c6625b0455e984168eb9e462ffca">send</a>(<a class="code" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *message);</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html#a2c1bd3cffafd775330f03a1d1fb51894">  138</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a2c1bd3cffafd775330f03a1d1fb51894">hasMessage</a>() { <span class="keywordflow">return</span> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a6fb391e1bb80ddbf6125e531b733aa51">m_messageQueue</a>.size(); }</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a82696b9e2515f9d4f6ade63803a768d3">rpmsg_read_cb</a>(<span class="keywordtype">void</span> *payload, <span class="keywordtype">int</span> payload_len, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> src, <span class="keywordtype">void</span> *priv);</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <a class="code" href="classerpc_1_1_static_queue.html">StaticQueue&lt;MessageBuffer, ERPC_DEFAULT_BUFFERS_COUNT&gt;</a></div><div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html#a6fb391e1bb80ddbf6125e531b733aa51">  157</a></span>&#160;        <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a6fb391e1bb80ddbf6125e531b733aa51">m_messageQueue</a>; </div><div class="line"><a name="l00159"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html#aae632851d14a2953c69e79025de749f3">  159</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#aae632851d14a2953c69e79025de749f3">m_dst_addr</a>;                                 </div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html#a511ef56bcf80fd6aa7c6be65f9988f8a">  160</a></span>&#160;    <span class="keyword">struct </span>rpmsg_lite_ept_static_context <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a511ef56bcf80fd6aa7c6be65f9988f8a">m_rpmsg_ept_context</a>; </div><div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html#a4c7bbfa52e036efce5d7f2ca5538ab48">  161</a></span>&#160;    <span class="keyword">struct </span>rpmsg_lite_endpoint *<a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a4c7bbfa52e036efce5d7f2ca5538ab48">m_rpmsg_ept</a>;                  </div><div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="classerpc_1_1_r_p_msg_z_c_transport.html#a5c3a444b8f2214f4574538c6d471e14d">  163</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">struct </span>rpmsg_lite_instance <a class="code" href="classerpc_1_1_r_p_msg_z_c_transport.html#a5c3a444b8f2214f4574538c6d471e14d">s_rpmsg_ctxt</a>; </div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;};</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;} <span class="comment">// namespace erpc</span></div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__RPMSG_LITE_ZC_TRANSPORT_H_</span></div><div class="ttc" id="rpmsg__lite__zc__base__transport_8h_html"><div class="ttname"><a href="rpmsg__lite__zc__base__transport_8h.html">rpmsg_lite_zc_base_transport.h</a></div></div>
<div class="ttc" id="group__infra_html_ga5f8872e58f09a16d192bf664f9898651"><div class="ttname"><a href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a></div><div class="ttdeci">int32_t erpc_status_t</div><div class="ttdoc">Type used for all status and error return values. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:99</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_abba352436bfdd1386e710c5a04267e8c"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#abba352436bfdd1386e710c5a04267e8c">erpc::RPMsgZCTransport::~RPMsgZCTransport</a></div><div class="ttdeci">virtual ~RPMsgZCTransport()</div><div class="ttdoc">Codec destructor. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.cpp:71</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a473d38804d119e790af5f486ce3c1934"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a473d38804d119e790af5f486ce3c1934">erpc::RPMsgZCTransport::init</a></div><div class="ttdeci">virtual erpc_status_t init(unsigned long src_addr, unsigned long dst_addr, void *base_address, unsigned long length, int rpmsg_link_id)</div><div class="ttdoc">Initialization of RPMsgTransport layer - as RPMsg master. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.cpp:75</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_aa9b22f6256d8efbe9008b40421279b9d"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#aa9b22f6256d8efbe9008b40421279b9d">erpc::RPMsgZCTransport::RPMsgZCTransport</a></div><div class="ttdeci">RPMsgZCTransport()</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.cpp:65</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a6b546b63b1ebca13292073a19028d582"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a6b546b63b1ebca13292073a19028d582">erpc::RPMsgZCTransport::receive</a></div><div class="ttdeci">virtual erpc_status_t receive(MessageBuffer *message)</div><div class="ttdoc">Set message to first received message. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.cpp:118</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_base_transport_html"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_base_transport.html">erpc::RPMsgZCBaseTransport</a></div><div class="ttdoc">Transport that other RPMsg transports inherts. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_base_transport.h:60</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a5c3a444b8f2214f4574538c6d471e14d"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a5c3a444b8f2214f4574538c6d471e14d">erpc::RPMsgZCTransport::s_rpmsg_ctxt</a></div><div class="ttdeci">static struct rpmsg_lite_instance s_rpmsg_ctxt</div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:163</div></div>
<div class="ttc" id="message__buffer_8h_html"><div class="ttname"><a href="message__buffer_8h.html">message_buffer.h</a></div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a511ef56bcf80fd6aa7c6be65f9988f8a"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a511ef56bcf80fd6aa7c6be65f9988f8a">erpc::RPMsgZCTransport::m_rpmsg_ept_context</a></div><div class="ttdeci">struct rpmsg_lite_ept_static_context m_rpmsg_ept_context</div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:160</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a2c1bd3cffafd775330f03a1d1fb51894"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a2c1bd3cffafd775330f03a1d1fb51894">erpc::RPMsgZCTransport::hasMessage</a></div><div class="ttdeci">virtual bool hasMessage()</div><div class="ttdoc">Function to check if is message in receive queue and wait for processing. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:138</div></div>
<div class="ttc" id="classerpc_1_1_message_buffer_html"><div class="ttname"><a href="classerpc_1_1_message_buffer.html">erpc::MessageBuffer</a></div><div class="ttdoc">Represents a memory buffer containing a message. </div><div class="ttdef"><b>Definition:</b> message_buffer.h:58</div></div>
<div class="ttc" id="static__queue_8h_html"><div class="ttname"><a href="static__queue_8h.html">static_queue.h</a></div></div>
<div class="ttc" id="namespaceerpc_html"><div class="ttname"><a href="namespaceerpc.html">erpc</a></div><div class="ttdef"><b>Definition:</b> arbitrated_client_manager.h:47</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html">erpc::RPMsgZCTransport</a></div><div class="ttdoc">Transport that uses RPMsg zero copy API for interprocessor messaging. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:61</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_aae632851d14a2953c69e79025de749f3"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#aae632851d14a2953c69e79025de749f3">erpc::RPMsgZCTransport::m_dst_addr</a></div><div class="ttdeci">unsigned long m_dst_addr</div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:159</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a82696b9e2515f9d4f6ade63803a768d3"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a82696b9e2515f9d4f6ade63803a768d3">erpc::RPMsgZCTransport::rpmsg_read_cb</a></div><div class="ttdeci">static int rpmsg_read_cb(void *payload, int payload_len, unsigned long src, void *priv)</div><div class="ttdoc">RPMSG callback for receiving data. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.cpp:53</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a6fb391e1bb80ddbf6125e531b733aa51"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a6fb391e1bb80ddbf6125e531b733aa51">erpc::RPMsgZCTransport::m_messageQueue</a></div><div class="ttdeci">StaticQueue&lt; MessageBuffer, ERPC_DEFAULT_BUFFERS_COUNT &gt; m_messageQueue</div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:157</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a56b5c6625b0455e984168eb9e462ffca"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a56b5c6625b0455e984168eb9e462ffca">erpc::RPMsgZCTransport::send</a></div><div class="ttdeci">virtual erpc_status_t send(MessageBuffer *message)</div><div class="ttdoc">Function to send prepared message. </div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.cpp:127</div></div>
<div class="ttc" id="classerpc_1_1_r_p_msg_z_c_transport_html_a4c7bbfa52e036efce5d7f2ca5538ab48"><div class="ttname"><a href="classerpc_1_1_r_p_msg_z_c_transport.html#a4c7bbfa52e036efce5d7f2ca5538ab48">erpc::RPMsgZCTransport::m_rpmsg_ept</a></div><div class="ttdeci">struct rpmsg_lite_endpoint * m_rpmsg_ept</div><div class="ttdef"><b>Definition:</b> rpmsg_lite_zc_transport.h:161</div></div>
<div class="ttc" id="classerpc_1_1_static_queue_html"><div class="ttname"><a href="classerpc_1_1_static_queue.html">erpc::StaticQueue</a></div><div class="ttdoc">Template class which implements static queue as ring buffer. </div><div class="ttdef"><b>Definition:</b> static_queue.h:58</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
